Create new Homebeat automation

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://apidocs.lwolf.com/doc/cloud-cma/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "Cloud CMA MCP server": {
    "url": "https://apidocs.lwolf.com/doc/cloud-cma/mcp"
  }
}

Close
POST /homebeats/widget

Create an automated Homebeat that sends market updates to leads at specified frequency (monthly, quarterly, etc). Can email leads directly or use webhook for custom delivery.

application/json

Body Required

  • automation object Required
    Hide automation attributes Show automation attributes object
    • api_key string Required
    • frequency string Required

      How often to send Homebeat updates

      Values are monthly, quarterly, semi-annually, annually, or never.

    • welcome_email boolean

      Send double opt-in welcome email

      Default value is true.

    • report object
      Hide report attributes Show report attributes object
      • prop_type string | null

        Filter comparables to property type. Null = use MLS default.

      • callback_url string(uri) | null

        Webhook URL for Homebeat updates

    • subject_property object Required
      Hide subject_property attributes Show subject_property attributes object
      • address string
      • geo_lat number | null
      • geo_lon number | null
      • sqft string
      • beds string
      • baths string
      • garages string | null
      • lot_size string | null
      • taxes string | null
    • lead object Required
      Hide lead attributes Show lead attributes object
      • name string
      • email_address string(email)
      • phone string

Responses

  • 201 application/json

    Homebeat created successfully

    Hide response attributes Show response attributes object
    • id integer

      Homebeat record ID

    • status string

      Values are created or error.

    • error string

      Error message if creation failed

    • first_report_sent boolean
  • 400

    Invalid request or user does not have Homebeat feature

POST /homebeats/widget
curl \
 --request POST 'https://cloudcma.com/homebeats/widget?api_key=api_token_value' \
 --header "Content-Type: application/json" \
 --data '{
  "automation": {
    "api_key": "string",
    "frequency": "monthly",
    "welcome_email": true,
    "report": {
      "prop_type": "string",
      "callback_url": "https://example.com"
    },
    "subject_property": {
      "address": "string",
      "geo_lat": 42.0,
      "geo_lon": 42.0,
      "sqft": "string",
      "beds": "string",
      "baths": "string",
      "garages": "string",
      "lot_size": "string",
      "taxes": "string"
    },
    "lead": {
      "name": "string",
      "email_address": "hello@example.com",
      "phone": "string"
    }
  }
}'
Request examples
{
  "automation": {
    "api_key": "string",
    "frequency": "monthly",
    "welcome_email": true,
    "report": {
      "prop_type": "string",
      "callback_url": "https://example.com"
    },
    "subject_property": {
      "address": "string",
      "geo_lat": 42.0,
      "geo_lon": 42.0,
      "sqft": "string",
      "beds": "string",
      "baths": "string",
      "garages": "string",
      "lot_size": "string",
      "taxes": "string"
    },
    "lead": {
      "name": "string",
      "email_address": "hello@example.com",
      "phone": "string"
    }
  }
}
Response examples (201)
{
  "id": 42,
  "status": "created",
  "error": "string",
  "first_report_sent": true
}